com.smartgwt.client.types

## Enum ListGridEditEvent

- java.lang.Object
- - java.lang.Enum<ListGridEditEvent>
  - - com.smartgwt.client.types.ListGridEditEvent

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ListGridEditEvent>

      public enum ListGridEditEvent
      extends java.lang.Enum<ListGridEditEvent>
      implements ValueEnum

  Event that will trigger inline editing.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLICK` A single mouse click triggers inline editing
    `DOUBLECLICK` A double click triggers inline editing
    `NONE` No mouse event will trigger editing.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ListGridEditEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ListGridEditEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLICK

          public static final ListGridEditEvent CLICK

      A single mouse click triggers inline editing

    - #### DOUBLECLICK

          public static final ListGridEditEvent DOUBLECLICK

      A double click triggers inline editing

    - #### NONE

          public static final ListGridEditEvent NONE

      No mouse event will trigger editing. Editing must be programmatically started via `ListGrid.startEditing` (perhaps from an external button) or may be triggered by keyboard navigation if `editOnFocus` is set.

  - ### Method Detail

    - #### values

          public static ListGridEditEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ListGridEditEvent c : ListGridEditEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ListGridEditEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`